Bug 592418 - dlm user lock callback ordering
dlm user lock callback ordering
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: David Teigland
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 16:01 EDT by David Teigland
Modified: 2010-11-15 09:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:28:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (5.27 KB, text/plain)
2010-05-14 16:06 EDT, David Teigland
no flags Details
patch (5.40 KB, application/octet-stream)
2010-05-14 16:07 EDT, David Teigland
no flags Details

  None (edit)
Description David Teigland 2010-05-14 16:01:40 EDT
Description of problem:

Bug 568102 fixed a bast/cast callback ordering problem for dlm locks that originate from the kernel.  This bug is to fix the same problem for locks that originate from user space.

The fix has been tested and verified using dlm_load:
http://fedorapeople.org/gitweb?p=teigland/public_git/dct-stuff.git;a=blob_plain;f=dlm/dlm_load.c;hb=HEAD


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 David Teigland 2010-05-14 16:06:27 EDT
Created attachment 414153 [details]
patch

rhel6 patch
Comment 3 David Teigland 2010-05-14 16:07:48 EDT
Created attachment 414154 [details]
patch

rhel6 patch (attached wrong file in prev comment)
Comment 4 David Teigland 2010-05-20 12:16:15 EDT
posted to rhkernel
http://post-office.corp.redhat.com/archives/rhkernel-list/2010-May/msg02171.html
Comment 5 RHEL Product and Program Management 2010-05-20 13:46:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Aristeu Rozanski 2010-05-28 16:38:06 EDT
Patch(es) available on kernel-2.6.32-31.el6
Comment 9 releng-rhel@redhat.com 2010-11-15 09:28:47 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.